  Feature: login
    Users should see and be able to log in to the web application
    
    Scenario: Twoflower the tourist arrives
      When Twoflower navigates to http://localhost:8888
      Then he should see the userid and password boxes
      
    Scenario: Adrian works sensibly
      When Adrian navigates to localhost:8888
      And he enters Turnipseed as userid
      And he enters Drongo as passwd
      And he clicks 'Submit'
      Then he gets a successful log in message

    Scenario: Ridcully the Pointy Hatted Boss starts shouting
      When Ridcully navigates to localhost:8888
      And he enters RIDCULLY as userid
      And he enters PASSWORD as passwd
      And he clicks 'Submit'
      Then he gets an error message
      
    Scenario: Adrian has fat fingers
      When Adrian navigates to localhost:8888
      And he enters Turnipseed as userid
      But he enters DFrongo as passwd
      And he clicks 'Submit'
      Then he gets an error message

    @tables
    Scenario: Login types
      When <user> navigates to <webpage>
      And he enters <id> as userid
      And he enters <password> as passwd
      And he clicks 'Submit'
      Then he gets <result> message
    Examples:
      | user     | webpage               | id         | password | result   |
      | Adrian   | http://localhost:8888 | Turnipseed | Drongo   | a successful log in |
      | Ridcully | localhost:8888        | RIDCULLY   | PASSWORD | an error            |
      | Adrian   | localhost:8888        | Turnipseed | DFrongo  | an error            |